'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});


function verboseError(body) {
  return '\n================================================================================\nERROR: code-split-component\n--------------------------------------------------------------------------------\n' + body + '\n================================================================================\n';
}

// We use environment checking so that we can provide verbose messages for
// development that can be dead code elimnated out of production builds.


var Errors = process.env.NODE_ENV === 'development' ? {
  HMR_NOT_SUPPORTED: verboseError('\nSorry, code-split-component does not support hot module reloading.\n\nIf you wish to use it in a hot relaoading environment please set the \'disabled\'\noption on both the babel and webpack plugins to true.  This will force the\ncode-split-component instances to work in a synchronous manner that is friendlier\nto development and hot reloading environments.  Code splitting is a production\nbased optimisation, so hopefully this is not an issue for you.\n\ne.g.\n\nconst webpackConfig = {\n  plugins: [\n    new CodeSplitWebpackPlugin({\n      // The code-split-component doesn\'t work nicely with hot module reloading,\n      // which we use in our development builds, so we will disable it (which\n      // ensures synchronously behaviour on the CodeSplit instances).\n      disabled: process.env.NODE_ENV === \'development\',\n    }),\n  ],\n  module: {\n    rules: [\n      {\n        test: \'js\',\n        loader: \'babel\',\n        query: {\n          plugins: [\n            [\n              \'code-split-component/babel\',\n              {\n                // The code-split-component doesn\'t work nicely with hot\n                // module reloading, which we use in our development builds,\n                // so we will disable it (which ensures synchronously\n                // behaviour on the CodeSplit instances).\n                disabled: process.env.NODE_ENV === \'development\',\n              },\n            ],\n          ]\n        }\n      }\n\n    ]\n  }\n}\n'),
  INVALID_MODULES_FOR_CLIENT: verboseError('\nA client rendered code-split-component TODO\n')
} : {
  HMR_NOT_SUPPORTED: 'HMR not supported',
  INVALID_MODULES_FOR_CLIENT: '"modules" prop invalid'
};

exports.default = Errors;